package com.ruoyi.tuya.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 平台用户对象 sys_users
 *
 * @author ruoyi
 * @date 2022-07-19
 */
public class SysUsers extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 编号 */
    @Excel(name = "编号")
    private String code;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 性别 0保密；1男；2女 */
    @Excel(name = "性别 0保密；1男；2女")
    private String sex;

    /** 年龄 */
    @Excel(name = "年龄")
    private Long age;

    /** 密码 */
    @Excel(name = "密码")
    private String pass;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 建档日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "建档日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date jdrq;

    /** 头像 */
    @Excel(name = "头像")
    private String headpir;

    /** 备注 */
    @Excel(name = "备注")
    private String remake;

    /** 微信id */
    @Excel(name = "微信id")
    private String wxid;

    /** 微信token */
    @Excel(name = "微信token")
    private String wxtoken;

    /** 状态 */
    @Excel(name = "状态")
    private Long flag;

    /** 验证码 */
    @Excel(name = "验证码")
    private String captcha;

    /** 城市 */
    @Excel(name = "城市")
    private String city;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String email;

    /** 生日 */
    @Excel(name = "生日")
    private String birthday;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setAge(Long age)
    {
        this.age = age;
    }

    public Long getAge()
    {
        return age;
    }
    public void setPass(String pass)
    {
        this.pass = pass;
    }

    public String getPass()
    {
        return pass;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setJdrq(Date jdrq)
    {
        this.jdrq = jdrq;
    }

    public Date getJdrq()
    {
        return jdrq;
    }
    public void setHeadpir(String headpir)
    {
        this.headpir = headpir;
    }

    public String getHeadpir()
    {
        return headpir;
    }
    public void setRemake(String remake)
    {
        this.remake = remake;
    }

    public String getRemake()
    {
        return remake;
    }
    public void setWxid(String wxid)
    {
        this.wxid = wxid;
    }

    public String getWxid()
    {
        return wxid;
    }
    public void setWxtoken(String wxtoken)
    {
        this.wxtoken = wxtoken;
    }

    public String getWxtoken()
    {
        return wxtoken;
    }
    public void setFlag(Long flag)
    {
        this.flag = flag;
    }

    public Long getFlag()
    {
        return flag;
    }
    public void setCaptcha(String captcha)
    {
        this.captcha = captcha;
    }

    public String getCaptcha()
    {
        return captcha;
    }
    public void setCity(String city)
    {
        this.city = city;
    }

    public String getCity()
    {
        return city;
    }
    public void setEmail(String email)
    {
        this.email = email;
    }

    public String getEmail()
    {
        return email;
    }
    public void setBirthday(String birthday)
    {
        this.birthday = birthday;
    }

    public String getBirthday()
    {
        return birthday;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("name", getName())
            .append("sex", getSex())
            .append("age", getAge())
            .append("pass", getPass())
            .append("phone", getPhone())
            .append("jdrq", getJdrq())
            .append("headpir", getHeadpir())
            .append("remake", getRemake())
            .append("wxid", getWxid())
            .append("wxtoken", getWxtoken())
            .append("flag", getFlag())
            .append("captcha", getCaptcha())
            .append("city", getCity())
            .append("email", getEmail())
            .append("birthday", getBirthday())
            .toString();
    }
}
